Skip to navigation

Rename a tag.

View as Markdown
Change the value of a tag. Every feature flag that has the tag gets the new value. If a tag with the new value already exists, the two are merged.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

typestringRequired
valuestringRequired

Request

renameTagSchema
valuestringRequiredformat: "^\s*\S.{0,48}\S\s*$"
The new value of the tag. The value must be between 2 and 50 characters long. If the value already exists for the same tag type, the two tags are merged. Leading and trailing whitespace is ignored and will be trimmed before saving the tag value.

Response

tagWithVersionSchema
versioninteger
The version of the schema used to model the tag.
tagobject

Representation of a tag

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error